G++설치 문의

우분투 초보입니다.
Ubuntu 12.10에 g++4.6.3을 설치하려 합니다(ns-3요구사항).
apt-get install g+±4.6.3을 하니,

E: g++4.6.3 패키지를 찾을수 없습니다.
E:‘g++4.6.3’ 정규식에 해당하는 패키지가 없습니다.

설치방법을 알려주시면 감사드리겠습니다.

apt-get install g+±4.6

시냅틱 꾸러미 관리자에서 패키지 이름이 저렇게 나오네요.

특정버전 설치시에는

sudo apt-get install g++=4.6

식으로 [=버전]을 붙여주시면 됩니다.
단, 그 버전이 현재 저장소에서 지원해야 합니다.
(너무 버전이 낮은 경우에는 지원하지 않는 경우도 있습니다.)